function z = random_gaussian_blobs(H, W, K)


if nargin<3
    K = 50;
end
z = zeros(H,W);

for i=1:K
    S=rand(2).*eye(2)*5+randn(2)*1;
    S = [.1 0;0 5];
    
    g = gaussian_blob(H,W, round(H*rand()), round(W*rand()), S*1000);
    g = g*rand();
    if any(isnan(g(:)))
        continue
    end
    z = z+g;
end

z = normalize(z);

%figure, imagesc(imrotate(z,90)), axis image
