function y = sigmoid2(x)
if nargin==0
x= [1:.5:100];
end

x = normalize(x);

cut = 0.9;
center = 0.9;

s1 = (sigmoid(x/cut, center, 55));

s1 = s1+10*x.*(x<=cut);
s1 = normalize(s1);

s2 = normalize(sigmoid((1-x)/(1-cut), 1-center,10));

y = s1.*(x<=cut)+s2.*(x>cut);
% 

if nargin == 0
    close all
figure, plot(x,s1, 'b');
hold on
plot(x,s2,'g')
plot(x,y,'r')
plot([cut cut], [0 1],'k')
end